classification
Title: Update bundled pip to 19.0
Type: enhancement Stage: resolved
Components: Library (Lib) Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, miss-islington, ncoghlan, paul.moore, pradyunsg
Priority: normal Keywords: patch

Created on 2019-01-22 19:37 by pradyunsg, last changed 2019-03-10 11:26 by ncoghlan. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12189 merged pradyunsg, 2019-03-06 07:39
PR 12192 merged miss-islington, 2019-03-06 11:42
PR 12193 merged miss-islington, 2019-03-06 11:43
Messages (5)
msg334230 - (view) Author: Pradyun Gedam (pradyunsg) * Date: 2019-01-22 19:37
In line with https://bugs.python.org/issue35277.

Will also update setuptools while I do this. (if no one else gets to it, I'll file a PR tomorrow morning)
msg334830 - (view) Author: Pradyun Gedam (pradyunsg) * Date: 2019-02-04 16:38
Update: I'll do this after 19.0.2 is released.
msg337293 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2019-03-06 11:42
New changeset 01e0f439f5009f37b95ab516e91906fcc7fcb8c3 by Donald Stufft (Pradyun Gedam) in branch 'master':
bpo-35807: Upgrade ensurepip bundled pip and setuptools (GH-12189)
https://github.com/python/cpython/commit/01e0f439f5009f37b95ab516e91906fcc7fcb8c3
msg337535 - (view) Author: miss-islington (miss-islington) Date: 2019-03-08 21:44
New changeset 572205adf06fc5afa64984740c4775af45942d5c by Miss Islington (bot) in branch '3.7':
bpo-35807: Upgrade ensurepip bundled pip and setuptools (GH-12189)
https://github.com/python/cpython/commit/572205adf06fc5afa64984740c4775af45942d5c
msg337536 - (view) Author: miss-islington (miss-islington) Date: 2019-03-08 21:45
New changeset 55438d713978a1913ef12c8a801848626228aad6 by Miss Islington (bot) in branch '2.7':
bpo-35807: Upgrade ensurepip bundled pip and setuptools (GH-12189)
https://github.com/python/cpython/commit/55438d713978a1913ef12c8a801848626228aad6
History
Date User Action Args
2019-03-10 11:26:37ncoghlansetstatus: open -> closed
resolution: fixed
type: enhancement
stage: patch review -> resolved
2019-03-08 21:45:04miss-islingtonsetmessages: + msg337536
2019-03-08 21:44:41miss-islingtonsetnosy: + miss-islington
messages: + msg337535
2019-03-06 11:43:10miss-islingtonsetpull_requests: + pull_request12189
2019-03-06 11:42:49miss-islingtonsetpull_requests: + pull_request12188
2019-03-06 11:42:23dstufftsetmessages: + msg337293
2019-03-06 07:39:28pradyunsgsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12184
2019-02-04 16:38:01pradyunsgsetmessages: + msg334830
2019-01-22 19:37:03pradyunsgcreate